## python-oslo.serialization 2.24.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# NOTE(harlowja): Because oslo.serialization is used by the client libraries,
# we do not want to add a lot of dependencies to it. If you find that
# adding a new feature to oslo.serialization means adding a new dependency,
# that is a likely indicator that the feature belongs somewhere else.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
six>=1.10.0 # MIT
msgpack>=0.4.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
pytz>=2013.6 # MIT

=== debian/changelog ===
python-oslo.serialization (2.24.0-0ubuntu2~cloud0) xenial-queens; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 14 Feb 2018 12:24:28 +0000

python-oslo.serialization (2.24.0-0ubuntu2) bionic; urgency=medium

  * d/p/msgpack-python.patch: Compat patch for msgpack-python internal
    naming in Ubuntu and Debian.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Feb 2018 09:03:41 +0000

python-oslo.serialization (2.24.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bump debhelper compat to 10.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Feb 2018 08:34:49 -0500

python-oslo.serialization (2.22.0-0ubuntu2) bionic; urgency=medium

  * d/p/0001-Revert-When-serializing-an-exception-return-its-repr.patch:
    Temporary revert of exception serialization until the rest of
    OpenStack catches up and the current upper-constraint of 2.21.1 is
    lifted, resolving unit test failures across a number of projects.
  * d/p/drop-openstackdoctheme.patch: Dropped, no longer needed.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 12:16:19 +0000

python-oslo.serialization (2.22.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 11:23:34 +0000

python-oslo.serialization (2.21.2-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 13 Nov 2017 17:11:40 +0000

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := https://github.com/openstack/oslo.serialization.git
-include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo.serialization; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-oslo.serialization; \
	done
	rm -rf $(CURDIR)/debian/python*-oslo.serialization/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-oslo.serialization-doc/usr/share/doc/python-oslo.serialization-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.serialization 2.27.0

=== requirements.txt ===
--- 
+++ 
@@ -9,6 +9,6 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 six>=1.10.0 # MIT
-msgpack>=0.4.0 # Apache-2.0
+msgpack>=0.5.2 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 pytz>=2013.6 # MIT

=== debian/changelog ===
python-oslo.serialization (2.27.0-2) unstable; urgency=medium

  * Using python3 to build the sphinx doc.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 23:18:08 +0200

python-oslo.serialization (2.27.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add py37-deal-with-Exception-repr-changes.patch taken from Ubuntu.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 11:48:35 +0200

python-oslo.serialization (2.24.0-1) unstable; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 12:51:41 +0000

python-oslo.serialization (2.20.2-1) unstable; urgency=medium

  * New upstream release.
  * Build-depends on python-openstackdocstheme (>= 1.16.0).

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jan 2018 11:01:06 +0100

python-oslo.serialization (2.20.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 21:54:01 +0000

python-oslo.serialization (2.20.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed now useless tz lower version bounder lift patch.
  * Removed now useless transitional packages.
  * Using pkgos-dh_auto_install.

  [ Daniel Baumann ]
  * Updating standards version to 4.1.0.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Aug 2017 00:24:09 +0000

=== debian/control ===
Source: python-oslo.serialization
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-coverage,
 python-hacking,
 python-ipaddress,
 python-mock,
 python-msgpack (>= 0.5.2),
 python-netaddr,
 python-oslo.i18n (>= 3.15.3),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-six,
 python-tz,
 python3-mock,
 python3-msgpack (>= 0.5.2),
 python3-netaddr,
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-six,
 python3-tz,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.serialization.git
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.serialization.git
Homepage: https://github.com/openstack/oslo.serialization

Package: python-oslo.serialization
Architecture: all
Depends:
 python-msgpack (>= 0.5.2),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-six,
 python-tz,
 ${misc:Depends},
 ${python:Depends},
Description: utilities for serialization , especially JSON - Python 2.x
 The oslo.serialization library contain utilities for working with
 serialization features, especially working with JSON.
 .
 This package contains the Python 2.x module.

Package: python-oslo.serialization-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: utilities for serialization , especially JSON - doc
 The oslo.serialization library contain utilities for working with
 serialization features, especially working with JSON.
 .
 This package contains the documentation.

Package: python3-oslo.serialization
Architecture: all
Depends:
 python3-msgpack (>= 0.5.2),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six,
 python3-tz,
 ${misc:Depends},
 ${python3:Depends},
Description: utilities for serialization , especially JSON - Python 3.x
 The oslo.serialization library contain utilities for working with
 serialization features, especially working with JSON.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,26 +1,13 @@
 #!/usr/bin/make -f
-
-PYTHONS:=$(shell pyversions -vr)
-PYTHON3S:=$(shell py3versions -vr)
 
 UPSTREAM_GIT := https://github.com/openstack/oslo.serialization.git
 -include /usr/share/openstack-pkg-tools/pkgos.make
 
-export OSLO_PACKAGE_VERSION=$(VERSION)
-
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
-override_dh_install:
-	set -e && for pyvers in $(PYTHONS); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-oslo.serialization; \
-	done
-	set -e && for pyvers in $(PYTHON3S); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python3-oslo.serialization; \
-	done
-	rm -rf $(CURDIR)/debian/python*-oslo.serialization/usr/lib/python*/dist-packages/*.pth
+override_dh_auto_install:
+	pkgos-dh_auto_install
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
@@ -43,8 +30,10 @@
 	rm -rf build
 
 override_dh_sphinxdoc:
-	sphinx-build -b html doc/source debian/python-oslo.serialization-doc/usr/share/doc/python-oslo.serialization-doc/html
+ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-oslo.serialization-doc/usr/share/doc/python-oslo.serialization-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
+endif
 
 # Commands not to run
 override_dh_installcatalogs:

## python-oslo.serialization 2.28.2

=== debian/changelog ===
python-oslo.serialization (2.28.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 01:11:08 +0200

python-oslo.serialization (2.28.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Removed Python 2 support.
  * Standards-Version is now 4.3.0 (no change).
  * Removed Python 3.7 patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Mar 2019 21:29:48 +0100

=== debian/control ===
Source: python-oslo.serialization
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-mock,
 python3-msgpack,
 python3-netaddr,
 python3-openstackdocstheme,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-oslotest,
 python3-six,
 python3-stestr,
 python3-tz,
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.serialization
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.serialization.git
Homepage: https://github.com/openstack/oslo.serialization

Package: python-oslo.serialization-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: utilities for serialization , especially JSON - doc
 The oslo.serialization library contain utilities for working with
 serialization features, especially working with JSON.
 .
 This package contains the documentation.

Package: python3-oslo.serialization
Architecture: all
Depends:
 python3-msgpack,
 python3-oslo.utils,
 python3-pbr,
 python3-six,
 python3-tz,
 ${misc:Depends},
 ${python3:Depends},
Description: utilities for serialization , especially JSON - Python 3.x
 The oslo.serialization library contain utilities for working with
 serialization features, especially working with JSON.
 .
 This package contains the Python 3.x module.

## python-oslo.serialization 2.29.2

=== debian/changelog ===
python-oslo.serialization (2.29.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:48:33 +0200

python-oslo.serialization (2.29.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Sep 2019 09:34:52 +0200

python-oslo.serialization (2.29.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Added python3-yaml as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2019 14:24:08 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Thomas Goirand <zigo@debian.org>,
  David Della Vecchia <ddv@canonical.com>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -26,8 +26,9 @@
  python3-six,
  python3-stestr,
  python3-tz,
+ python3-yaml,
  subunit,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.serialization
 Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.serialization.git
 Homepage: https://github.com/openstack/oslo.serialization
@@ -52,6 +53,7 @@
  python3-pbr,
  python3-six,
  python3-tz,
+ python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
 Description: utilities for serialization , especially JSON - Python 3.x

## python-oslo.serialization 3.0.0

=== debian/changelog ===
python-oslo.serialization (3.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 16:02:38 -0400

python-oslo.serialization (2.29.2-0ubuntu2) focal; urgency=medium

  * Use python3 when detecting module name from setup.py in autopkgtest.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 18 Nov 2019 14:29:43 +0000

python-oslo.serialization (2.29.2-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 16:57:25 -0400

python-oslo.serialization (2.29.1-0ubuntu3) eoan; urgency=medium

  * d/tests/*: Drop Python 2.7 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 26 Jun 2019 14:18:02 -0400

python-oslo.serialization (2.29.1-0ubuntu2) eoan; urgency=medium

  * d/control, d/tests/*: Restore python-import test and drop
    autopkgtest-pkg-python as it does not work with oslo packages.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 21 Jun 2019 10:22:21 -0400

python-oslo.serialization (2.29.1-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/t/python-ostestr: Run unit tests for dep8.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jun 2019 11:53:51 -0400

python-oslo.serialization (2.28.2-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:04:45 +0000

python-oslo.serialization (2.28.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control,rules: Switch to openstack-pkg-tools for unit testing.
  * d/p/*: Drop, no longer needed.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:26:41 +0000

python-oslo.serialization (2.27.0-0ubuntu1) cosmic; urgency=medium

  * New release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/py37-deal-with-Exception-repr-changes.patch: Deal with changes in
    behavior in repr(Exception(...)).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Jul 2018 16:17:53 -0400

python-oslo.serialization (2.26.0-0ubuntu2) cosmic; urgency=medium

  * d/tests/*,d/control: Add autopkgtests to exercise import and unit
    tests as part of Ubuntu CI, resolving current failures.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Jun 2018 21:09:48 +0100

python-oslo.serialization (2.26.0-0ubuntu1) cosmic; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable.  Remaining changes:
    - d/control,compat: Bump to dh compat 10.

  [ James Page ]
  * New release for OpenStack Rocky.
  * Align (Build-)Depends with upstream.
  * d/*: Drop all patches, no longer needed.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Jun 2018 16:53:38 +0100

=== debian/control ===
Source: python-oslo.serialization
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.8.0),
Build-Depends-Indep:
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-hacking (>= 1.1.0),
 python3-mock (>= 2.0.0),
 python3-msgpack (>= 0.5.2),
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-reno (>= 2.5.0),
 python3-six (>= 1.10.0),
 python3-stestr (>= 2.0.0),
 python3-tz (>= 2013.6),
 python3-yaml (>= 3.12),
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.serialization
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.serialization
Homepage: https://github.com/openstack/oslo.serialization

Package: python-oslo.serialization-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: utilities for serialization , especially JSON - doc
 The oslo.serialization library contain utilities for working with
 serialization features, especially working with JSON.
 .
 This package contains the documentation.

Package: python3-oslo.serialization
Architecture: all
Depends:
 python3-msgpack (>= 0.5.2),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-tz (>= 2013.6),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Description: utilities for serialization , especially JSON - Python 3.x
 The oslo.serialization library contain utilities for working with
 serialization features, especially working with JSON.
 .
 This package contains the Python 3.x module.

## python-oslo.serialization 3.1.1

=== requirements.txt ===
--- 
+++ 
@@ -8,7 +8,8 @@
 # that is a likely indicator that the feature belongs somewhere else.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-six>=1.10.0 # MIT
 msgpack>=0.5.2 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 pytz>=2013.6 # MIT
+PyYAML>=3.12 # MIT
+debtcollector>=1.2.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# These are needed for docs generation
openstackdocstheme>=1.18.1 # Apache-2.0
sphinx>=1.8.0,!=2.1.0 # BSD
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-oslo.serialization (3.1.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:48:14 -0400

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,7 @@
  python3-sphinx (>= 1.8.0),
 Build-Depends-Indep:
  python3-bandit (>= 1.1.0),
- python3-coverage (>= 4.0),
- python3-hacking (>= 1.1.0),
+ python3-debtcollector (>= 1.2.0),
  python3-mock (>= 2.0.0),
  python3-msgpack (>= 0.5.2),
  python3-netaddr (>= 0.7.18),
@@ -51,6 +50,7 @@
 Package: python3-oslo.serialization
 Architecture: all
 Depends:
+ python3-debtcollector (>= 1.2.0),
  python3-msgpack (>= 0.5.2),
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.serialization.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-oslo.serialization-doc/usr/share/doc/python-oslo.serialization-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/oslo.serialization/ oslo.serialization-(\d.*)\.tar\.gz

## python-oslo.serialization 4.0.1

=== debian/changelog ===
python-oslo.serialization (4.0.1-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 18 Sep 2020 18:38:14 +0000

python-oslo.serialization (4.0.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:35:43 -0400

python-oslo.serialization (4.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control, d/copyright, d/rules: Update upstream git URL.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Jul 2020 14:51:52 -0400

python-oslo.serialization (3.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:40:54 -0400

=== debian/control ===
--- 
+++ 
@@ -7,33 +7,32 @@
  Thomas Goirand <zigo@debian.org>,
  David Della Vecchia <ddv@canonical.com>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.8.0),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-bandit (>= 1.1.0),
+ python3-bandit,
  python3-debtcollector (>= 1.2.0),
  python3-mock (>= 2.0.0),
  python3-msgpack (>= 0.5.2),
  python3-netaddr (>= 0.7.18),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 2.2.2),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
- python3-reno (>= 2.5.0),
  python3-six (>= 1.10.0),
  python3-stestr (>= 2.0.0),
  python3-tz (>= 2013.6),
  python3-yaml (>= 3.12),
  subunit,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.serialization
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.serialization
-Homepage: https://github.com/openstack/oslo.serialization
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.serialization
+Homepage: https://opendev.org/openstack/oslo.serialization
 
 Package: python-oslo.serialization-doc
 Section: doc

## python-oslo.serialization 4.0.2

=== requirements.txt ===
--- 
+++ 
@@ -11,5 +11,3 @@
 msgpack>=0.5.2 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 pytz>=2013.6 # MIT
-PyYAML>=3.12 # MIT
-debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-oslo.serialization (4.0.2-1~bpo10+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-victoria.infomaniak.ch>  Tue, 30 Mar 2021 15:03:26 +0000

python-oslo.serialization (4.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Mar 2021 16:51:52 +0200

python-oslo.serialization (4.0.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 10:09:28 +0200

python-oslo.serialization (4.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 11:25:39 +0200

python-oslo.serialization (4.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 21:35:32 +0200

python-oslo.serialization (3.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 22:21:29 +0200

python-oslo.serialization (3.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 15:49:48 +0200

## python-oslo.serialization 4.1.0

=== debian/changelog ===
python-oslo.serialization (4.1.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 22 Mar 2021 23:12:03 +0000

python-oslo.serialization (4.1.0-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 12:56:04 -0400

## python-oslo.serialization 4.2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# These are needed for docs generation
openstackdocstheme>=2.2.2 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
python-oslo.serialization (4.2.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 09:15:41 -0400

=== debian/control ===
--- 
+++ 
@@ -30,8 +30,8 @@
  python3-yaml (>= 3.12),
  subunit,
 Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.serialization
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.serialization
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.serialization
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.serialization
 Homepage: https://opendev.org/openstack/oslo.serialization
 
 Package: python-oslo.serialization-doc

=== debian/tests/control ===
Tests: python-import, python-ostestr
Depends: @, @builddeps@, python3-os-testr
Restrictions: allow-stderr, needs-recommends

## python-oslo.serialization 5.0.0

=== debian/changelog ===
python-oslo.serialization (5.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 13:56:40 +0200

python-oslo.serialization (5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 16:46:21 +0200

python-oslo.serialization (4.3.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 09:03:56 +0100

python-oslo.serialization (4.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 12:28:08 +0100

python-oslo.serialization (4.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 16:57:33 +0200

python-oslo.serialization (4.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Aug 2021 15:28:32 +0200

python-oslo.serialization (4.1.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 09:19:18 +0200

python-oslo.serialization (4.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 09:26:33 +0100

## python-oslo.serialization 5.1.1

=== debian/changelog ===
python-oslo.serialization (5.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:43:26 +0200

python-oslo.serialization (5.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 11:22:57 +0100

## python-oslo.serialization 5.2.0

=== debian/changelog ===
python-oslo.serialization (5.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Add remove-broken-tz-tests.patch.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 15:02:24 +0200

## python-oslo.serialization 5.4.0

=== requirements.txt ===
# NOTE(harlowja): Because oslo.serialization is used by the client libraries,
# we do not want to add a lot of dependencies to it. If you find that
# adding a new feature to oslo.serialization means adding a new dependency,
# that is a likely indicator that the feature belongs somewhere else.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
msgpack>=0.5.2 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
pytz>=2013.6;python_version<"3.9" # MIT
tzdata>=2022.4;python_version>="3.9" # MIT

=== debian/changelog ===
python-oslo.serialization (5.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal. 

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 11:45:10 +0000

python-oslo.serialization (5.3.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Jan 2024 10:08:04 +0000

python-oslo.serialization (5.2.0-0ubuntu4) mantic; urgency=medium

  * d/p/drop-zoneinfo.patch: Updates to account for replacing legacy
    US/Pacific with America/Los_Angeles.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 01 Sep 2023 16:38:31 -0400

python-oslo.serialization (5.2.0-0ubuntu3) mantic; urgency=medium

  * d/p/drop-zoneinfo.patch: Updates to account for replacing legacy
    US/Eastern with America/New_York.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 01 Sep 2023 15:13:42 -0400

python-oslo.serialization (5.2.0-0ubuntu2) mantic; urgency=medium

  * d/p/drop-zoneinfo.patch: Drop zoneinfo imports until python3-tzdata
    package is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Aug 2023 17:37:50 -0400

python-oslo.serialization (5.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Aug 2023 10:55:56 -0400

python-oslo.serialization (5.1.1-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:22:10 -0500

python-oslo.serialization (5.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 12:51:57 -0400

python-oslo.serialization (4.3.0-0ubuntu2) kinetic; urgency=medium

  * d/t/control, d/t/python-(o)stestr: Switch from ostestr to stestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Jun 2022 10:16:34 -0400

python-oslo.serialization (4.3.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 16:25:22 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Thomas Goirand <zigo@debian.org>,
  David Della Vecchia <ddv@canonical.com>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -29,8 +29,7 @@
  python3-tz (>= 2013.6),
  python3-yaml (>= 3.12),
  subunit,
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.serialization
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.serialization
 Homepage: https://opendev.org/openstack/oslo.serialization

## python-oslo.serialization 5.4.1

=== debian/changelog ===
python-oslo.serialization (5.4.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 10:36:34 +0000

python-oslo.serialization (5.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:44:44 +0200

python-oslo.serialization (5.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 22:43:42 +0100

python-oslo.serialization (5.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 14:04:35 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.serialization/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-oslo.serialization 5.5.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # adding a new feature to oslo.serialization means adding a new dependency,
 # that is a likely indicator that the feature belongs somewhere else.
 
-pbr!=2.1.0,>=2.0.0 # Apache-2.0
+pbr>=2.0.0 # Apache-2.0
 msgpack>=0.5.2 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 pytz>=2013.6;python_version<"3.9" # MIT

=== debian/changelog ===
python-oslo.serialization (5.5.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090578).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 08:32:15 +0100

python-oslo.serialization (5.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:59:56 +0200

python-oslo.serialization (5.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 17:20:47 +0200

## python-oslo.serialization 5.6.0

=== debian/changelog ===
python-oslo.serialization (5.6.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/p/*: Drop, no longer required.
  * d/control: Add BD on tzdata-legacy, drop python3-tz dependency.
  * d/control: Drop build and runtime dependencies that are no longer
    required.
  * d/p/drop-tzdata-requires.patch: Drop tzdata from requirements - this
    general confuses dependency resolvers and is not needed in distro
    where the zoneinfo module will use system provided tzdata.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Jan 2025 09:18:27 +0000

python-oslo.serialization (5.5.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 14:26:45 +0100

## python-oslo.serialization 5.7.0

=== doc/requirements.txt ===
# These are needed for docs generation
openstackdocstheme>=2.2.2 # Apache-2.0
sphinx>=2.0.0 # BSD
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
python-oslo.serialization (5.7.0-0ubuntu1~cloud0) noble-epoxy; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 13:53:51 +0000

python-oslo.serialization (5.7.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:53:41 +0000

=== debian/control ===
--- 
+++ 
@@ -15,20 +15,15 @@
  python3-setuptools,
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-bandit,
- python3-debtcollector (>= 1.2.0),
- python3-mock (>= 2.0.0),
  python3-msgpack (>= 0.5.2),
  python3-netaddr (>= 0.7.18),
  python3-openstackdocstheme (>= 2.2.2),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
- python3-six (>= 1.10.0),
  python3-stestr (>= 2.0.0),
- python3-tz (>= 2013.6),
- python3-yaml (>= 3.12),
  subunit,
+ tzdata-legacy,
 Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.serialization
 Homepage: https://opendev.org/openstack/oslo.serialization
@@ -48,13 +43,9 @@
 Package: python3-oslo.serialization
 Architecture: all
 Depends:
- python3-debtcollector (>= 1.2.0),
  python3-msgpack (>= 0.5.2),
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
- python3-six (>= 1.10.0),
- python3-tz (>= 2013.6),
- python3-yaml (>= 3.12),
  ${misc:Depends},
  ${python3:Depends},
 Description: utilities for serialization , especially JSON - Python 3.x

## python-oslo.serialization 5.7.0+git2025070911.8ed3fca

=== debian/changelog ===
python-oslo.serialization (5.7.0+git2025070911.8ed3fca-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/p/drop-tzdata-requires.patch: Refresh.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 24 Jul 2025 16:47:54 -0400

## python-oslo.serialization 5.8.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# NOTE(harlowja): Because oslo.serialization is used by the client libraries,
# we do not want to add a lot of dependencies to it. If you find that
# adding a new feature to oslo.serialization means adding a new dependency,
# that is a likely indicator that the feature belongs somewhere else.

msgpack>=0.5.2 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
tzdata>=2022.4 # MIT

=== debian/changelog ===
python-oslo.serialization (5.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 21:23:17 +0200

python-oslo.serialization (5.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 17:05:27 +0200

python-oslo.serialization (5.7.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:36:31 +0100

python-oslo.serialization (5.7.0-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 16:37:59 +0100

python-oslo.serialization (5.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebased remove-broken-tz-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2025 17:37:15 +0100

=== debian/control ===
Source: python-oslo.serialization
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-debtcollector,
 python3-hacking,
 python3-msgpack,
 python3-netaddr,
 python3-openstackdocstheme,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-oslotest,
 python3-stestr,
 python3-tz,
 python3-yaml,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.serialization
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.serialization.git
Homepage: https://github.com/openstack/oslo.serialization

Package: python-oslo.serialization-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: utilities for serialization , especially JSON - doc
 The oslo.serialization library contain utilities for working with
 serialization features, especially working with JSON.
 .
 This package contains the documentation.

Package: python3-oslo.serialization
Architecture: all
Depends:
 python3-debtcollector,
 python3-msgpack,
 python3-oslo.utils,
 python3-pbr,
 python3-tz,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: utilities for serialization , especially JSON - Python 3.x
 The oslo.serialization library contain utilities for working with
 serialization features, especially working with JSON.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build *.egg-info
@@ -25,5 +25,5 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-oslo.serialization-doc/usr/share/doc/python-oslo.serialization-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc -O--buildsystem=pybuild
 endif

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.serialization refs/tags/(\d[brc\d\.]+)

## python-oslo.serialization 5.9.0

=== debian/changelog ===
python-oslo.serialization (5.9.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * New upstream version 5.9.0
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * d/patches/*: refresh patches
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Fri, 16 Jan 2026 09:06:31 -0800

python-oslo.serialization (5.8.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2122726).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 15 Sep 2025 11:05:07 -0700

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://tarballs.opendev.org/openstack/oslo.serialization/ oslo[._]serialization-(\d.*)\.tar\.gz

## python-oslo.serialization 5.9.1

=== debian/changelog ===
python-oslo.serialization (5.9.1-1) experimental; urgency=medium

  * New upstream release.
  * Rebased remove-broken-tz-tests.patch.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 09:04:02 +0100

python-oslo.serialization (5.8.0-4) unstable; urgency=medium

  * Drop useless python3-pytz (build-)depends (Closes: #1121867).

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Dec 2025 21:27:54 +0100

python-oslo.serialization (5.8.0-3) unstable; urgency=medium

  * Replaced python3-tz by python3-pytz (Closes: #1116375).

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Nov 2025 11:56:29 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,6 @@
  python3-oslo.utils,
  python3-oslotest,
  python3-stestr,
- python3-tz,
  python3-yaml,
  subunit,
 Standards-Version: 4.4.1
@@ -51,7 +50,6 @@
  python3-msgpack,
  python3-oslo.utils,
  python3-pbr,
- python3-tz,
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build *.egg-info
+	rm -rf build *.egg-info .pybuild
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
